cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steven Gill <stevengil...@gmail.com>
Subject Re: [CI] Builds failing due to cordova lib version bump
Date Thu, 04 Jun 2015 20:41:48 GMT
Problem with that is that npm install would fail when it runs `pushd
cordova-cli; npm install; popd` because cordova-lib@5.1.1 doesn't exist on
npm. I believe a way around this is to do something like

pushd cordova-js; npm install; npm link; popd;
pushd cordova-lib/cordova-lib; npm link cordova-js; npm install; npm link;
popd;
pushd cordova-cli; npm link cordova-lib; npm install; npm link popd;
pushd cordova-plugman; npm link cordova-lib; npm install; npm link popd;

Is this possible and a easy fix?

On Thu, Jun 4, 2015 at 1:03 PM, Dmitry Blotsky <dblotsky@microsoft.com>
wrote:

> Sorry, the mail client lost the formatting. Here it is again:
>
> pushd cordova-lib/cordova-lib; npm install; popd;
> pushd cordova-cli; npm install; popd;
> pushd cordova-plugman; npm install; popd;
> pushd cordova-js; npm install; popd;
> coho npm-link;
>
> -----Original Message-----
> From: Dmitry Blotsky [mailto:dblotsky@microsoft.com]
> Sent: Thursday, June 4, 2015 1:02 PM
> To: dev@cordova.apache.org
> Subject: RE: [CI] Builds failing due to cordova lib version bump
>
> Hmm, I think the CI is doing it wrong then. It should be using the master
> version of the code, not what's on NPM. The installation steps are:
>
> pushd cordova-lib/cordova-lib; npm install; popd pushd cordova-cli; npm
> install; popd pushd cordova-plugman; npm install; popd pushd cordova-js;
> npm install; popd coho npm-link
>
> Should there be some "npm link"s in there to use the cloned code instead
> of NPM?
>
> Kindly,
> Dmitry
>
> -----Original Message-----
> From: Steven Gill [mailto:stevengill97@gmail.com]
> Sent: Thursday, June 4, 2015 12:57 PM
> To: dev@cordova.apache.org
> Subject: Re: [CI] Builds failing due to cordova lib version bump
>
> Sorry, I didn't publish 5.1.1 for cordova-lib and cli to npm under RC tag
> yet. (or plugman 0.23.3). If we needed to change something before we vote,
> I would have to bump all of the versions again to republish (just had to do
> that and remove 5.1.0 from npm).
>
> I can go ahead and publish them under RC, or we can wait until the vote is
> done to publish under latest.
>
> On Thu, Jun 4, 2015 at 12:43 PM, Dmitry Blotsky <dblotsky@microsoft.com>
> wrote:
>
> > Hey folks,
> >
> > The recent cordova lib version bump broke our dependencies:
> > http://ci.apache.org/builders/cordova-windows-store8.0/builds/109/step
> > s/npm-installing-cordova-cli/logs/stdio
> >
> > Kindly,
> > Dmitry
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message